Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.query
Class JRSqlNotInClause

    java.lang.Object
      net.sf.jasperreports.engine.query.JRSqlAbstractInClause
          net.sf.jasperreports.engine.query.JRSqlNotInClause

All Implemented Interfaces:
  JRClauseFunction

    public class JRSqlNotInClause

extends JRSqlAbstractInClause

SQL "NOT IN" clause function.

Version:
  $Id: JRSqlNotInClause.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRSqlAbstractInClause.apply(JRClauseTokens, JRQueryClauseContext)`

Field Summary
`protected static java.lang.String` | `OPERATOR_NOT_IN`
`protected static JRSqlNotInClause` | `singleton`

Fields inherited from class net.sf.jasperreports.engine.query.JRSqlAbstractInClause
`CLAUSE_TRUISM, POSITION_DB_COLUMN, POSITION_PARAMETER`

Constructor Summary
`JRSqlNotInClause()`

Method Summary
`protected void` | `appendInOperator(java.lang.StringBuffer sBuffer)`
`static JRSqlNotInClause` | `instance()` Returns the singleton function instance.

Methods inherited from class net.sf.jasperreports.engine.query.JRSqlAbstractInClause
`apply, handleNoValues, valuesCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPERATOR_NOT_IN

    protected static final java.lang.String OPERATOR_NOT_IN

See Also:
  Constant Field Values

### singleton

    protected static final JRSqlNotInClause singleton

Constructor Detail

### JRSqlNotInClause

    public JRSqlNotInClause()

Method Detail

### instance

    public static JRSqlNotInClause instance()

  Returns the singleton function instance.

  Returns:
    the singleton function instance

### appendInOperator

    protected void appendInOperator(java.lang.StringBuffer sBuffer)

  Specified by:
    `appendInOperator` in class `JRSqlAbstractInClause`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com